> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# sap-concur-travel

> SAP Concur Travel Allowance

**Server path:** `/sap-concur-travel` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                                                  | Description                                                                              |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------- |
| [`sap_concur_travel_change_assignment_by_itinerary_key`](#sap_concur_travel_change_assignment_by_itinerary_key)                                                       | Change itinerary assignment                                                              |
| [`sap_concur_travel_change_day_properties_by_itinerary_key`](#sap_concur_travel_change_day_properties_by_itinerary_key)                                               | Create/edit day properties for Itinerary                                                 |
| [`sap_concur_travel_change_itinerary_by_key`](#sap_concur_travel_change_itinerary_by_key)                                                                             | Change Itinerary                                                                         |
| [`sap_concur_travel_create_itinerary_for_user`](#sap_concur_travel_create_itinerary_for_user)                                                                         | Itineraries by UserId                                                                    |
| [`sap_concur_travel_delete_itinerary_by_key`](#sap_concur_travel_delete_itinerary_by_key)                                                                             | Delete Itinerary                                                                         |
| [`sap_concur_travel_get_assignments_by_itinerary_key`](#sap_concur_travel_get_assignments_by_itinerary_key)                                                           | Get Assignments for Itinerary                                                            |
| [`sap_concur_travel_get_configuration_types_by_company_id_and_configuration_code1`](#sap_concur_travel_get_configuration_types_by_company_id_and_configuration_code1) | Get a list of configuration summaries                                                    |
| [`sap_concur_travel_get_context_calculation_result_detail`](#sap_concur_travel_get_context_calculation_result_detail)                                                 | Get detailed Calculation Results for all Itineraries of an Expense Report/Travel Request |
| [`sap_concur_travel_get_day_properties_by_itinerary_key`](#sap_concur_travel_get_day_properties_by_itinerary_key)                                                     | Get Day Property for Itinerary                                                           |
| [`sap_concur_travel_get_itineraries_by_user_id`](#sap_concur_travel_get_itineraries_by_user_id)                                                                       | Get Itineraries by UserId                                                                |
| [`sap_concur_travel_get_itinerary_by_key`](#sap_concur_travel_get_itinerary_by_key)                                                                                   | Get Itinerary by UserId and ItineraryId                                                  |
| [`sap_concur_travel_simulate_itinerary`](#sap_concur_travel_simulate_itinerary)                                                                                       | Simulation of an Itinerary                                                               |

***

## sap\_concur\_travel\_change\_assignment\_by\_itinerary\_key

Change itinerary assignment

**Parameters:**

| Parameter                    | Type      | Required | Default | Description                                                                                            |
| ---------------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------ |
| `companyId`                  | string    | No       | —       | Company id                                                                                             |
| `userId`                     | string    | Yes      | —       | User id                                                                                                |
| `itineraryId`                | integer   | Yes      | —       | Itinerary id                                                                                           |
| `If-Match`                   | string    | No       | —       | Client generated request identifier passed through all requests                                        |
| `context`                    | string    | Yes      | —       | Context of the itinerary, an itinerary may belong to one or several travel requests or expense reports |
| `itineraryPeriodAssignments` | object\[] | Yes      | —       | List of periods for the current itinerary with their unique assignment to a given context              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "companyId": {
        "type": "string",
        "description": "Company id"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "itineraryId": {
        "type": "integer",
        "description": "Itinerary id"
      },
      "If-Match": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "context": {
        "type": "string",
        "description": "Context of the itinerary, an itinerary may belong to one or several travel requests or expense reports",
        "enum": [
          "TRAVEL_REQUEST",
          "EXPENSE_REPORT"
        ]
      },
      "itineraryPeriodAssignments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "contextId": {
              "type": "string",
              "description": "Context key to which current itinerary period is assigned"
            },
            "period": {
              "type": "object",
              "description": "Period within current itinerary"
            }
          },
          "required": [
            "contextId",
            "period"
          ]
        },
        "description": "List of periods for the current itinerary with their unique assignment to a given context"
      }
    },
    "required": [
      "PCID",
      "userId",
      "itineraryId",
      "context",
      "itineraryPeriodAssignments"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_change\_day\_properties\_by\_itinerary\_key

Create/edit day properties for Itinerary

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                     |
| ------------- | --------- | -------- | ------- | --------------------------------------------------------------- |
| `companyId`   | string    | No       | —       | Company id                                                      |
| `userId`      | string    | Yes      | —       | User id                                                         |
| `itineraryId` | integer   | Yes      | —       | Itinerary id                                                    |
| `If-Match`    | string    | No       | —       | Client generated request identifier passed through all requests |
| `body`        | object\[] | Yes      | —       | Request body                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "companyId": {
        "type": "string",
        "description": "Company id"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "itineraryId": {
        "type": "integer",
        "description": "Itinerary id"
      },
      "If-Match": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "date": {
              "type": "string",
              "description": "Date of the day within current itinerary"
            },
            "deductions": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "deductionCategoryCode": {
                    "type": "string",
                    "description": "Customer defined category of deduction; it can be entered by the traveller to distinguish between e.g. breakfast, lunch, Lunch & dinner, night"
                  },
                  "deductionTypeCode": {
                    "type": "string",
                    "description": "Customer defined type of deduction; it can be entered by the traveller to distinguish e.g between full deduction or partial deduction for the given category"
                  }
                }
              },
              "description": "The deductions value"
            },
            "locationNameIds": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Location Name Ids for which the deduction of the travel allowance should be calculated"
            },
            "lodgingTypeCode": {
              "type": "string",
              "description": "Lodging type; can be used to pay a special lodging rate for e.g. sleeping in a dorm or a youth hostel"
            },
            "mealTypeCode": {
              "type": "string",
              "description": "Meal type; can be used to pay a special meal rate for e.g. eating in a canteen"
            }
          },
          "required": [
            "date",
            "deductions"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "userId",
      "itineraryId",
      "body"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_change\_itinerary\_by\_key

Change Itinerary

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                     |
| ------------- | --------- | -------- | ------- | --------------------------------------------------------------- |
| `companyId`   | string    | No       | —       | Company id                                                      |
| `userId`      | string    | Yes      | —       | User id                                                         |
| `itineraryId` | integer   | Yes      | —       | Itinerary id                                                    |
| `If-Match`    | string    | No       | —       | Client generated request identifier passed through all requests |
| `header`      | object    | Yes      | —       | Header with general information about the itinerary             |
| `segments`    | object\[] | Yes      | —       | List of itinerary segments constructing the current itinerary   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "companyId": {
        "type": "string",
        "description": "Company id"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "itineraryId": {
        "type": "integer",
        "description": "Itinerary id"
      },
      "If-Match": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "header": {
        "type": "object",
        "description": "Header with general information about the itinerary",
        "properties": {
          "configurationCode": {
            "type": "string",
            "description": "The configuration code used to calculate the settlement for the itinerary"
          },
          "description": {
            "type": "string",
            "description": "Description of the itinerary"
          },
          "hasNoLodging": {
            "type": "boolean",
            "description": "Traveller indicates that the itinerary has no overnight stays, e.g. a truck driver is driving overnight"
          },
          "id": {
            "type": "integer",
            "description": "Identification of the itinerary"
          },
          "overlapTypeCode": {
            "type": "string",
            "description": "Overlap type; can be used to handle different kinds of (overlapping) trips within a trip, e.g. TRIP_HOME or BUSINESS_TRIP"
          },
          "tripTypeCode": {
            "type": "string",
            "description": "Trip type; can be used to apply different calculation rules or allowance rates"
          },
          "userId": {
            "type": "string",
            "description": "Identification of the owner of the itinerary, i.e. the traveller"
          }
        },
        "required": [
          "configurationCode",
          "id",
          "userId"
        ]
      },
      "segments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "departureDate": {
              "type": "string",
              "description": "Date of starting the travel at the departure location"
            },
            "departureTime": {
              "type": "string",
              "description": "Time of starting the travel at the departure location"
            },
            "departureLocationNameId": {
              "type": "string",
              "format": "uuid",
              "description": "Id of the departure location; is either home/office when itinerary begins with the current stop or the arrival location of the last itinerary stop"
            },
            "borderCrossingDate": {
              "type": "string",
              "description": "Date of border crossing, this could be first or last border crossing dependent on the legal regulations"
            },
            "borderCrossingTime": {
              "type": "string",
              "description": "Time of border crossing, this could be first or last border crossing dependent on the legal regulations"
            },
            "arrivalDate": {
              "type": "string",
              "description": "Date of ending the travel at the arrival location"
            },
            "arrivalTime": {
              "type": "string",
              "description": "Time of ending the travel at the arrival location"
            },
            "arrivalLocationNameId": {
              "type": "string",
              "format": "uuid",
              "description": "Id of the arrival location; is either departure location of the next itinerary stop or home/office when itinerary ends with the current stop"
            },
            "address": {
              "type": "object",
              "description": "Address of the professional activity (required for german 3-month-rule) at arrival location"
            }
          },
          "required": [
            "arrivalDate",
            "arrivalLocationNameId",
            "arrivalTime",
            "borderCrossingDate",
            "borderCrossingTime",
            "departureDate",
            "departureLocationNameId",
            "departureTime"
          ]
        },
        "description": "List of itinerary segments constructing the current itinerary"
      }
    },
    "required": [
      "PCID",
      "userId",
      "itineraryId",
      "header",
      "segments"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_create\_itinerary\_for\_user

Itineraries by UserId

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                   |
| ------------ | --------- | -------- | ------- | ------------------------------------------------------------- |
| `userId`     | string    | Yes      | —       | User id                                                       |
| `companyId`  | string    | No       | —       | Company id                                                    |
| `assignment` | object    | Yes      | —       | List of itinerary segments constructing the current itinerary |
| `header`     | object    | Yes      | —       | Header with general information about the itinerary           |
| `segments`   | object\[] | Yes      | —       | List of itinerary segments constructing the current itinerary |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "companyId": {
        "type": "string",
        "description": "Company id"
      },
      "assignment": {
        "type": "object",
        "description": "List of itinerary segments constructing the current itinerary",
        "properties": {
          "context": {
            "type": "string",
            "description": "Context of the itinerary, an itinerary may belong to one or several travel requests or expense reports",
            "enum": [
              "TRAVEL_REQUEST",
              "EXPENSE_REPORT"
            ]
          },
          "contextId": {
            "type": "string",
            "description": "Context Id to which current itinerary should be assigned"
          }
        },
        "required": [
          "context"
        ]
      },
      "header": {
        "type": "object",
        "description": "Header with general information about the itinerary",
        "properties": {
          "configurationCode": {
            "type": "string",
            "description": "The configuration code used to calculate the settlement for the itinerary"
          },
          "description": {
            "type": "string",
            "description": "Description of the itinerary"
          },
          "hasNoLodging": {
            "type": "boolean",
            "description": "Traveller indicates that the itinerary has no overnight stays, e.g. a truck driver is driving overnight"
          },
          "overlapTypeCode": {
            "type": "string",
            "description": "Overlap type; can be used to handle different kinds of (overlapping) trips within a trip, e.g. TRIP_HOME or BUSINESS_TRIP"
          },
          "tripTypeCode": {
            "type": "string",
            "description": "Trip type; can be used to apply different calculation rules or allowance rates"
          }
        }
      },
      "segments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "departureDate": {
              "type": "string",
              "description": "Date of starting the travel at the departure location"
            },
            "departureTime": {
              "type": "string",
              "description": "Time of starting the travel at the departure location"
            },
            "departureLocationNameId": {
              "type": "string",
              "format": "uuid",
              "description": "Id of the departure location; is either home/office when itinerary begins with the current stop or the arrival location of the last itinerary stop"
            },
            "borderCrossingDate": {
              "type": "string",
              "description": "Date of border crossing, this could be first or last border crossing dependent on the legal regulations"
            },
            "borderCrossingTime": {
              "type": "string",
              "description": "Time of border crossing, this could be first or last border crossing dependent on the legal regulations"
            },
            "arrivalDate": {
              "type": "string",
              "description": "Date of ending the travel at the arrival location"
            },
            "arrivalTime": {
              "type": "string",
              "description": "Time of ending the travel at the arrival location"
            },
            "arrivalLocationNameId": {
              "type": "string",
              "format": "uuid",
              "description": "Id of the arrival location; is either departure location of the next itinerary stop or home/office when itinerary ends with the current stop"
            },
            "address": {
              "type": "object",
              "description": "Address of the professional activity (required for german 3-month-rule) at arrival location"
            }
          },
          "required": [
            "arrivalDate",
            "arrivalLocationNameId",
            "arrivalTime",
            "borderCrossingDate",
            "borderCrossingTime",
            "departureDate",
            "departureLocationNameId",
            "departureTime"
          ]
        },
        "description": "List of itinerary segments constructing the current itinerary"
      }
    },
    "required": [
      "PCID",
      "userId",
      "assignment",
      "header",
      "segments"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_delete\_itinerary\_by\_key

Delete Itinerary

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                     |
| ------------- | ------- | -------- | ------- | --------------------------------------------------------------- |
| `companyId`   | string  | No       | —       | Company id                                                      |
| `userId`      | string  | Yes      | —       | User id                                                         |
| `itineraryId` | integer | Yes      | —       | Itinerary id                                                    |
| `If-Match`    | string  | No       | —       | Client generated request identifier passed through all requests |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "companyId": {
        "type": "string",
        "description": "Company id"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "itineraryId": {
        "type": "integer",
        "description": "Itinerary id"
      },
      "If-Match": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      }
    },
    "required": [
      "PCID",
      "userId",
      "itineraryId"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_get\_assignments\_by\_itinerary\_key

Get Assignments for Itinerary

**Parameters:**

| Parameter              | Type    | Required | Default | Description                                                     |
| ---------------------- | ------- | -------- | ------- | --------------------------------------------------------------- |
| `concur-correlationid` | string  | No       | —       | Client generated request identifier passed through all requests |
| `userId`               | string  | Yes      | —       | User id                                                         |
| `itineraryId`          | integer | Yes      | —       | Itinerary id                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "concur-correlationid": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "itineraryId": {
        "type": "integer",
        "description": "Itinerary id"
      }
    },
    "required": [
      "PCID",
      "userId",
      "itineraryId"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_get\_configuration\_types\_by\_company\_id\_and\_configuration\_code1

Get a list of configuration summaries

**Parameters:**

| Parameter              | Type   | Required | Default | Description                                                     |
| ---------------------- | ------ | -------- | ------- | --------------------------------------------------------------- |
| `concur-correlationid` | string | No       | —       | Client generated request identifier passed through all requests |
| `configurationCode`    | string | No       | —       | Configuration code                                              |
| `pageId`               | string | No       | —       | Page Id                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "concur-correlationid": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "configurationCode": {
        "type": "string",
        "description": "Configuration code"
      },
      "pageId": {
        "type": "string",
        "description": "Page Id"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_get\_context\_calculation\_result\_detail

Get detailed Calculation Results for all Itineraries of an Expense Report/Travel Request

**Parameters:**

| Parameter              | Type   | Required | Default | Description                                                     |
| ---------------------- | ------ | -------- | ------- | --------------------------------------------------------------- |
| `concur-correlationid` | string | No       | —       | Client generated request identifier passed through all requests |
| `itineraryId`          | string | No       | —       | Itinerary id                                                    |
| `userId`               | string | Yes      | —       | User id                                                         |
| `context`              | string | Yes      | —       | The context value                                               |
| `contextId`            | string | Yes      | —       | Id of an Expense Report or Travel Request                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "concur-correlationid": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "itineraryId": {
        "type": "string",
        "description": "Itinerary id"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "context": {
        "type": "string",
        "description": "The context value",
        "enum": [
          "TRAVEL_REQUEST",
          "EXPENSE_REPORT"
        ]
      },
      "contextId": {
        "type": "string",
        "description": "Id of an Expense Report or Travel Request"
      }
    },
    "required": [
      "PCID",
      "userId",
      "context",
      "contextId"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_get\_day\_properties\_by\_itinerary\_key

Get Day Property for Itinerary

**Parameters:**

| Parameter              | Type    | Required | Default | Description                                                     |
| ---------------------- | ------- | -------- | ------- | --------------------------------------------------------------- |
| `concur-correlationid` | string  | No       | —       | Client generated request identifier passed through all requests |
| `userId`               | string  | Yes      | —       | User id                                                         |
| `itineraryId`          | integer | Yes      | —       | Itinerary id                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "concur-correlationid": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "itineraryId": {
        "type": "integer",
        "description": "Itinerary id"
      }
    },
    "required": [
      "PCID",
      "userId",
      "itineraryId"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_get\_itineraries\_by\_user\_id

Get Itineraries by UserId

**Parameters:**

| Parameter              | Type   | Required | Default | Description                                                     |
| ---------------------- | ------ | -------- | ------- | --------------------------------------------------------------- |
| `concur-correlationid` | string | No       | —       | Client generated request identifier passed through all requests |
| `context`              | string | No       | —       | The context value                                               |
| `contextId`            | string | No       | —       | Id of an expense report or travel allowance                     |
| `startDate`            | string | No       | —       | Start date of the selection period interval                     |
| `endDate`              | string | No       | —       | End date of the selection period interval                       |
| `pageId`               | string | No       | —       | Page Id                                                         |
| `userId`               | string | Yes      | —       | User id                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "concur-correlationid": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "context": {
        "type": "string",
        "description": "The context value",
        "enum": [
          "TRAVEL_REQUEST",
          "EXPENSE_REPORT"
        ]
      },
      "contextId": {
        "type": "string",
        "description": "Id of an expense report or travel allowance"
      },
      "startDate": {
        "type": "string",
        "description": "Start date of the selection period interval"
      },
      "endDate": {
        "type": "string",
        "description": "End date of the selection period interval"
      },
      "pageId": {
        "type": "string",
        "description": "Page Id"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      }
    },
    "required": [
      "PCID",
      "userId"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_get\_itinerary\_by\_key

Get Itinerary by UserId and ItineraryId

**Parameters:**

| Parameter              | Type    | Required | Default | Description                                                     |
| ---------------------- | ------- | -------- | ------- | --------------------------------------------------------------- |
| `concur-correlationid` | string  | No       | —       | Client generated request identifier passed through all requests |
| `userId`               | string  | Yes      | —       | User id                                                         |
| `itineraryId`          | integer | Yes      | —       | Itinerary id                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "concur-correlationid": {
        "type": "string",
        "description": "Client generated request identifier passed through all requests"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "itineraryId": {
        "type": "integer",
        "description": "Itinerary id"
      }
    },
    "required": [
      "PCID",
      "userId",
      "itineraryId"
    ]
  }
  ```
</Expandable>

***

## sap\_concur\_travel\_simulate\_itinerary

Simulation of an Itinerary

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                                   |
| ----------- | --------- | -------- | ------- | ------------------------------------------------------------- |
| `companyId` | string    | No       | —       | Company id                                                    |
| `userId`    | string    | Yes      | —       | User id                                                       |
| `segments`  | object\[] | Yes      | —       | List of itinerary segments constructing the current itinerary |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "companyId": {
        "type": "string",
        "description": "Company id"
      },
      "userId": {
        "type": "string",
        "description": "User id"
      },
      "segments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "arrivalDate": {
              "type": "string",
              "description": "Date of ending the travel at the arrival location"
            },
            "arrivalLocationNameId": {
              "type": "string",
              "format": "uuid",
              "description": "Id of the arrival location; is either departure location of the next itinerary stop or home/office when itinerary ends with the current stop"
            },
            "arrivalTime": {
              "type": "string",
              "description": "Time of ending the travel at the arrival location"
            },
            "borderCrossingDate": {
              "type": "string",
              "description": "Date of border crossing, this could be first or last border crossing dependent on the legal regulations"
            },
            "borderCrossingTime": {
              "type": "string",
              "description": "Time of border crossing, this could be first or last border crossing dependent on the legal regulations"
            },
            "departureDate": {
              "type": "string",
              "description": "Date of starting the travel at the departure location"
            },
            "departureLocationNameId": {
              "type": "string",
              "format": "uuid",
              "description": "Id of the departure location; is either home/office when itinerary begins with the current stop or the arrival location of the last itinerary stop"
            },
            "departureTime": {
              "type": "string",
              "description": "Time of starting the travel at the departure location"
            }
          },
          "required": [
            "arrivalDate",
            "arrivalTime",
            "departureDate",
            "departureTime"
          ]
        },
        "description": "List of itinerary segments constructing the current itinerary"
      }
    },
    "required": [
      "PCID",
      "userId",
      "segments"
    ]
  }
  ```
</Expandable>
